<?php

namespace App\Entities\Cloudflare\API;

use App\Entities\CommonEntity;

abstract class APIEntity extends CommonEntity
{
    abstract public function getParentField(): string;
    final public function getParentFieldData()
    {
        $field = $this->getParentField();
        return $this->$field;
    }
}
